Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Invocation_Endpoint_Selectors.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "tao/TAO_Export.h"`

Include dependency graph for Invocation_Endpoint_Selectors.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Compounds
class | TAO_Default_Endpoint_Selector
| Default strategy for endpoint selection. More...
class | TAO_Invocation_Endpoint_Selector
| Defines the interface for policy-based endpoint selection strategies. More...

## Detailed Description

Id:
  Invocation_Endpoint_Selectors.h,v 1.18 2003/10/28 18:29:15 bala Exp

Strategies for selecting profile/endpoint from an IOR for making an invocation.

Author:
  Marina Spivak <marina@cs.wustl.edu>